<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.estate.ownerrecord.mapper.OwnerRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="ownerRecordResultMap" type="org.springblade.estate.ownerrecord.entity.OwnerRecord">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="user_name" property="userName"/>
        <result column="user_phone" property="userPhone"/>
        <result column="out_in" property="outIn"/>
        <result column="time" property="time"/>
        <result column="address" property="address"/>
        <result column="residential_name" property="residentialName"/>
    </resultMap>


    <select id="selectOwnerRecordPage" resultMap="ownerRecordResultMap">
        select * from yc_owner_record where is_deleted = 0
    </select>

</mapper>
